Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1472642 - Heketi : Node remove should wait if heal is in progress.
Summary: Heketi : Node remove should wait if heal is in progress.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: cns-3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: CNS 3.6
Assignee: Michael Adam
QA Contact: Apeksha
URL:
Whiteboard:
Depends On:
Blocks: 1358188 1445448
TreeView+ depends on / blocked
 
Reported: 2017-07-19 07:20 UTC by Mohamed Ashiq
Modified: 2018-12-18 05:42 UTC (History)
9 users (show)

Fixed In Version: heketi-5.0.0-8 rhgs-volmanager-docker-5.0.0-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-11 07:07:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2879 normal SHIPPED_LIVE heketi bug fix and enhancement update 2017-10-11 11:07:06 UTC

Description Mohamed Ashiq 2017-07-19 07:20:20 UTC
Description of problem:
Node remove doesn't check if the self heal is complete before continuing to next device in node.

Comment 7 Raghavendra Talur 2017-08-30 07:34:13 UTC
The upstream patch is https://github.com/heketi/heketi/pull/834

Comment 8 Apeksha 2017-09-15 11:05:49 UTC
Verified on build on build cns-deploy-5.0.0-37.el7rhgs.x86_64 and heketi-client-5.0.0-11.el7rhgs.x86_64

Comment 9 errata-xmlrpc 2017-10-11 07:07:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2879


Note You need to log in before you can comment on or make changes to this bug.